<!DOCTYPE html>
<html lang="en-US">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Random Fortune</title>
    <style>
        body {
                font-family: Arial, sans-serif;
                text-align: center;
                background-color: #ffffff;
                color: #000000;
        }

        h1 {
            font-size: 2rem;
            font-weight: bold;
            color: #e20074;
            margin-bottom: 1rem;
        }

        button {
            font-size: 18px;
            padding: 10px 20px;
            cursor: pointer;
            background-color: #e20074;
            color: #ffffff;
            border: none;
            border-radius: 4px;
            transition: background-color 0.3s;
        }

        button:hover {
            background-color: #c00062;
        }
    </style>
    <script>
        async function getRandomFortune() {
            const url = 'https://fortune-cookie4.p.rapidapi.com/slack';
	    const options = {
		method: 'GET',
		headers: {
			'X-RapidAPI-Key': '16c4d88999mshdb3b3c3af5cf08fp1fb6ddjsnb4fb49b636d3',
			'X-RapidAPI-Host': 'fortune-cookie4.p.rapidapi.com'
		}
	};

	try {
		const response = await fetch(url, options);
		const result = await response.text();
		const jsonObj = JSON.parse(result)
		const fortune = jsonObj.text.match(/'([^']+)'/)[1]
		document.getElementById("fortune").innerHTML = fortune;
            	
		
		speakFortune(fortune);
        } catch (error) {
			console.error(error);
	}
	}

        function speakFortune(fortune) {
            const synth = window.speechSynthesis;
            const utterance = new SpeechSynthesisUtterance(fortune);
            utterance.lang = "en-US";
            synth.speak(utterance);
        }
    </script>
</head>
<body>
    <h1>Zufällige Glückskeks-Sprüche</h1>
    <p id="fortune"></p>
    <button onclick="getRandomFortune()">New Fortune</button>
</body>
</html>